image: registry.gitlab.com/jarvis-network/base/container-images/docker-buildx:20.10
services:
  - name: docker:20.10-dind
    entrypoint: ["env", "-u", "DOCKER_HOST"]
    command: ["dockerd-entrypoint.sh"]
variables:
  DOCKER_DRIVER: overlay2
  CONTAINER_REGISTRY_URL: jarvisnetworkcoreacr.azurecr.io/jarvis-network/apps/vault-etheurm

.global-config: &global-config
  before_script:
    - echo "$ACR_CORE_PASSWORD" | docker login -u "$ACR_CORE_USER" --password-stdin $ACR_CORE_URL
  only:
    - master
    - merge_requests
stages:
  - build

build:
  <<: *global-config
  stage: build
  script:
    - docker build --pull --no-cache -t "$CONTAINER_REGISTRY_URL:latest" .
    - docker push "$CONTAINER_REGISTRY_URL:latest"